<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE project [
       <!ENTITY common SYSTEM "../common.xml">
]>

<project basedir="." default="build" name="MemphisDJ" xmlns:ivy="antlib:org.apache.ivy.ant">

  &common;

  <path id="MemphisDJ.classpath">
    <pathelement location="bin"/>
    <fileset dir="${lib.dir}">
      <include name="**/*.jar"/>
    </fileset>
  </path>

  <target name="init" depends="resolve">
    <mkdir dir="bin"/>
    <copy includeemptydirs="false" todir="bin">
      <fileset dir="src" excludes="**/*.java"/>
    </copy>
  </target>

  <target name="clean">
    <delete dir="bin"/>
  </target>

  <target name="build-subprojects"/>

  <target depends="init" name="build-project">
    <echo message="${ant.project.name}: ${ant.file}"/>
    <javac debug="true" debuglevel="${debuglevel}" destdir="bin" source="${source}" target="${target}">
      <src path="src"/>
      <classpath refid="MemphisDJ.classpath"/>
    </javac>
    <javac debug="true" debuglevel="${debuglevel}" destdir="bin" source="${source}" target="${target}">
      <src path="test"/>
      <classpath refid="MemphisDJ.classpath"/>
    </javac>
  </target>

</project>
